> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/reports/order-intake-report.md).

# Order Intake report

List orders with order date that matches request data.

Based on the Accept header the response will be base64 json encoded or a raw file.

* application/octet-stream will return a binary file
* application/json will return a json with the file content base64 encoded.

Required permissions: REPORTING

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Reports","description":"Reports"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"OrderIntakeResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderIntakeResponseSchema"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/DownloadableFile"}}}}},"schemas":{"OrderIntakeResponseSchema":{"title":"OrderIntakeResponseSchema","type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/OrderIntakeItemResponseSchema"}}}},"OrderIntakeItemResponseSchema":{"title":"OrderIntakeItemResponseSchema","type":"object","required":["orderUid","orderNumber","orderDate","orderState","customerName","store","createdBy","orderTotal"],"properties":{"orderUid":{"$ref":"#/components/schemas/UID"},"orderNumber":{"type":"string"},"orderDate":{"type":"string","format":"date-time"},"orderState":{"$ref":"#/components/schemas/OrderOrderStateENUM"},"customerName":{"type":"string"},"store":{"$ref":"#/components/schemas/OrderIntakeStoreResponseSchema"},"createdBy":{"type":"string"},"orderTotal":{"type":"integer"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"OrderOrderStateENUM":{"description":"|ENUM | Description |\n| --- | --- |\n| OPEN | Order is open and beeing edited by someone|\n| PARKED | Order is parked|\n| CANCELED | Order is canceled/deleted|\n| COMPLETE | Order is complete|\n| CONFIRMED | Order is confirmed|\n","enum":["OPEN","PARKED","CANCELED","COMPLETE","CONFIRMED"],"title":"OrderOrderStateENUM","type":"string"},"OrderIntakeStoreResponseSchema":{"title":"OrderIntakeStoreResponseSchema","type":"object","required":["name","storeUid"],"properties":{"name":{"type":"string"},"storeUid":{"$ref":"#/components/schemas/UID"}}},"DownloadableFile":{"title":"DownloadableFile","type":"string","format":"binary"},"OrderIntakeRequestSchema":{"title":"OrderIntakeRequestSchema","type":"object","required":["orderDate"],"properties":{"orderDate":{"$ref":"#/components/schemas/DateTimeRangeSchema"},"storeUids":{"type":"array","items":{"$ref":"#/components/schemas/UID"}},"orderStates":{"type":"array","items":{"$ref":"#/components/schemas/OrderOrderStateENUM"}}}},"DateTimeRangeSchema":{"title":"DateTimeRangeSchema","type":"object","required":["from","to"],"properties":{"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"}}}},"requestBodies":{"OrderIntakeRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderIntakeRequestSchema"}}}}}},"paths":{"/tenants/{tenantUid}/reports/orders":{"post":{"summary":"Order Intake report","tags":["Reports"],"responses":{"200":{"$ref":"#/components/responses/OrderIntakeResponse"}},"operationId":"post-tenants-reports-orders","requestBody":{"$ref":"#/components/requestBodies/OrderIntakeRequest"},"description":"List orders with order date that matches request data.\n\nBased on the Accept header the response will be base64 json encoded or a raw file.\n- application/octet-stream will return a binary file\n- application/json will return a json with the file content base64 encoded.\n\nRequired permissions: REPORTING\n"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/reports/order-intake-report.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
